package com.io.yutian.colorblindwar.listener;

import com.io.yutian.colorblindwar.ColorblindWar;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.*;
import org.bukkit.event.entity.EntityExplodeEvent;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.event.weather.WeatherChangeEvent;

public class PlayerListener implements Listener {

    @EventHandler
    public void onPlayerQuit(PlayerQuitEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            ColorblindWar.getGame().stop(false);
        }
    }

    @EventHandler
    public void onPlayerDropItem(PlayerDropItemEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onInventoryClick(InventoryClickEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onBlockBreak(BlockBreakEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onBlockPlace(BlockPlaceEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onEntityExplode(EntityExplodeEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.blockList().clear();
        }
    }

    @EventHandler
    public void onBlockExplode(BlockExplodeEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.blockList().clear();
        }
    }

    @EventHandler
    public void onWeatherChange(WeatherChangeEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onBlockFire(BlockBurnEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onBlockIgnite(BlockIgniteEvent event) {
        if (ColorblindWar.getGame().isStarted()) {
            event.setCancelled(true);
        }
    }

}
